Lockon : Installation du Patch 1.02

Bugs, problèmes d'installation, de patch, optimisation

Topic author
Kovy
Chef de patrouille
Chef de patrouille
Messages : 4747
Inscription : 08 août 2001

#1

Message par Kovy » mar. juin 15, 2004 11:59 pm

0- OUI IL FAUT LIRE LE READ ME !! ici et le nouveau mappage des touches aussi.

Comment installer le patch ?

Le mieux est de faire une réinstallation complète et bien propre de lockon 1.00 avant de patcher.

Télécharger le patch 1.00-->1.02 FR si vous avez une version française de lockon et installez le sur un version 1.00 fraiche.
OU Télécharger le patch 1.00-->1.02 US si vous avez une version anglaise de lockon et installez le sur un version 1.00 fraiche.

1- Désinstallez lockon
2- Allez dans le dossier de lock on et effacez tous les fichiers restants à la main (vous pouvez cependant conserver les dossiers screenshots, missions, loman_backup)
3- réinstallez lockon 1.00 (ne le lancez pas)
4- installez le patch 1.00-->1.02
5- Vous devrez refaire les réglages des paramètres graphique, difficulté, joystick etc...

Si lockon se bloque sur le menu principal après avoir installé le patch, désactivez zone alarm ou votre firewall. (ou autorisez l'acces au net pour lockon dans les parametres de votre firewall)


------------------------------------------------------------------------------------------------

1. Le canon et le les missiles utilisent maintenant 2 touches séparées sur les avions américains. Le canon est accessible tout le temps en mode combat via la barre d'espace (ou la gachette du joystick). Pour tirer des missiles ou des bombes il faut utiliser la touche Entrer.

2. Pour activer la souris en vue cockpit il faut éditer, avec notepad, le fichier Cockpit.lua qui se trouve dans le dossier /config/views. A la ligne cockpit mouse, remplacer false par true.

3. La version 1.02 de lockon utilise les fichiers lua pour beaucoup de parametres. Si vous voulez bidouiller lomac, c'est dans ces fichiers que vous trouverez votre bonheur.

4. Plusieurs touches importantes ont été changées:

- Pour arreter les alarmes du cockpit : shift-N
- la touche sup permet de choisir la cible à padlocker...la cible choisie à une petite croix verte et elle se padlock au bout d'1 seconde.
- Pour dépadlocker : Verr Num

5- Si votre track IR ne fonctionne plus...rebootez.
Si il ne fonctionne toujours pas après le rebout, installez les drivers trak IR 3.11

6- 98 % des tracks de la version 1.01 ne sont plus compatibles avec la version 1.02 et il n'y a pas de solution

7- si vous avez le HUD qui s'affiche sur la verriere quand vous tournez la tete, c'est normal, cela s'appelle le mini-HUD (c'est une aide). Vous pouvez le désactiver dans les options de difficulté.

8- Si vous avez une version Française de lockon et que vous ne pouvez pas changer la T° ni les précipitations en saison Hiver, c'est que vous avez utilisé le patch américain. Utilisez le patch 1.02 FR.

---------------------------------------------------------------------------------------------
Pour le débugger :

Ouvrir le fichier "MEInit.xml" (Lock On\ME\MEInit.xml) avec Bloc-notes ou WordPad,
Trouvez le paragraphe "Seasons" tout à la fin du fichier(il est situé après "Countries" et avant "Airports")
Et remplacez: "Summer" par "Eté"
"Winter" par "Hiver"
"Rain" par "Pluie"
"Thunderstorm" par "Orage"
"Snow" par "Neige"
"Snowstorm" par "Tempete de neige"
Et Miracle! les saisons re-fonctionnent correctement dans l'Editeur de missions,
meme les temperature sont débuggées! (merci à Alexandra)
----------------------------------------------------------------------------------------------

9- Si vous constater qu'ils manque certains sons, désinstallez tout add-on de sons.

10- Dans une partie réseau, si les autres joueurs ne voient pas votre armement : C'est un bug qui apparait lorsque vous éditez une config armement existante. Pour ne pas avoir ce bug, choississez une config armement prédéfinie dans le jeu ou creez en une de zéro.

11- Si vous avez encore les R-27EA dans le jeu, c'est que vous n'avez pas patché sur une installation fraiche de lomac (désinstallez lomac complètement, puis réinstallez et patchez)
Image

Rafale News : le blog du rafale
:cheer: Rafale ! Rafale ! Rafale ! :cheer:

Sparfell
WSO Co-pilote
WSO Co-pilote
Messages : 912
Inscription : 06 août 2001

#2

Message par Sparfell » jeu. sept. 02, 2004 2:40 am

Q - Je viens de m'apercevoir que les missiles KH29 L et TE sont remplacés dans l'écran de chargement des avions par des KH 28 L et TE et cela pour tous les apppareils même les non pilotables.

R - Dans le dossier ME, ouvrez le fichier MEInit.xml avec wordpad, recherchez la ligne
- <Launcher CLSID="{3468C652-E830-4E73-AFA9-B5F260AB7C3D}" Name="Kh-28L" NatoName="(AS-14)" Picture="Kh-28L"

et remplacer Kh-28L par Kh-29L voili
'La violence est le dernier refuge de l'incompétence.' - Isaac Asimov - Fondation
Image Image
Avatar de l’utilisateur

Oxitom
As du Manche
As du Manche
Messages : 11401
Inscription : 17 août 2001

#3

Message par Oxitom » dim. nov. 28, 2004 11:55 am

MAJ 28/11/2004

Q: je suis en windows 98 ou millenium, et je n'arrives a installer le patch. Celui-ci se bloques en cours d'installation.

R: Utiliser Winrar pour extraire les fichiers du patch dans le dossier lock-on.
Clic-droit sur le patch et "extraire les fichiers" choisir comme chemin d'extraction, le dossier source de lock-on (où l'on voit toute l'arborescence des fichiers de LO).


Merci Vettes. ;)

jeffer7
Nouvelle Recrue
Nouvelle Recrue
Messages : 38
Inscription : 15 mars 2002

#4

Message par jeffer7 » ven. juil. 29, 2005 4:40 pm

Je comprends pas, je viens d'installer la version 1.02fr et je ne trouve pas l'option cockpit souris dans les paramètres cockpit.
Jean le François____________________________ Pater noster

3700+@2.75Ghz 1.44v 7700Cu
A8N-SLI SE
Crucial PC4000@250 2.5-3-3-6 2.6v
Asus EN7900GT@550/1600 VF900-Cu

Doug
Jeune Pilote
Jeune Pilote
Messages : 1382
Inscription : 05 octobre 2004

#5

Message par Doug » ven. juil. 29, 2005 5:19 pm

... As tu essayé d'utiliser le système de recherche du forum ?
On en a déjà parler X fois ;)

jeffer7
Nouvelle Recrue
Nouvelle Recrue
Messages : 38
Inscription : 15 mars 2002

#6

Message par jeffer7 » ven. juil. 29, 2005 5:25 pm

Oui, j'ai essayé. Je n'apprécie pas beaucoup les questions qui reviennent X fois sur le même forum mais là je dois avoué que je dois mal m'y prendre parce que je n'ai rien trouvé. En tout cas rien qui correspond à ma situation
Jean le François____________________________ Pater noster

3700+@2.75Ghz 1.44v 7700Cu
A8N-SLI SE
Crucial PC4000@250 2.5-3-3-6 2.6v
Asus EN7900GT@550/1600 VF900-Cu
Avatar de l’utilisateur

Bushido
Jeune Pilote
Jeune Pilote
Messages : 1879
Inscription : 14 novembre 2003

#7

Message par Bushido » ven. juil. 29, 2005 5:35 pm

Bon alors si je ne dit pas de bétise :

Tu doit éditer le fichier view.lua qui se trouve dans bazar/config/view (de tête pas sur à 100% du chemin)

Dans ce fichier view.lua que tu ouvres avec notepad tu remplace mouse cockpit = false par mouse cokpit = true


Ps : fait une sauvegarde de ton fichier original au cas ou.

EDIT : sujet déjà abordé ici

En fait je ne sais plus si ca se trouve dans view.lua ou view.cfg essaye les deux.
dans un cas tu remplace false par true et dans l'autre 0 par 1 :sorcerer:
Brillantes comme une larme,
des armes...

jeffer7
Nouvelle Recrue
Nouvelle Recrue
Messages : 38
Inscription : 15 mars 2002

#8

Message par jeffer7 » ven. juil. 29, 2005 6:07 pm

:Jumpy: mercimercimerci

c'est le fichier cockpit.LUA
Jean le François____________________________ Pater noster

3700+@2.75Ghz 1.44v 7700Cu
A8N-SLI SE
Crucial PC4000@250 2.5-3-3-6 2.6v
Asus EN7900GT@550/1600 VF900-Cu
Avatar de l’utilisateur

bluz
Apprenti-Mécano
Apprenti-Mécano
Messages : 212
Inscription : 07 août 2005

Qui utilise encore en 1.02 ?

#9

Message par bluz » sam. oct. 08, 2005 11:59 pm

Slt à tous.

Je suis encore un dinosaure qui vole en version 1.02 :cowboy:
(Je vais acheter FC ce mois-ci normalement...)

Je voulais savoir si parmi la communauté C6, il y a encore beaucoup de simmers qui utilisent 1.02 également ?


Je suis en en train de preparer une grosse campagne multi-joueurs pour cette version et je souhaite donc savoir si Ducros, il se décarcasse pas pour rien:king:


@+
Image
Avatar de l’utilisateur

phoenix
Pilote Philanthrope
Pilote Philanthrope
Messages : 12466
Inscription : 05 août 2001

#10

Message par phoenix » dim. oct. 09, 2005 12:04 am

bluz a écrit :Slt à tous.

Je suis encore un dinosaure qui vole en version 1.02 :cowboy:
(Je vais acheter FC ce mois-ci normalement...)

Je voulais savoir si parmi la communauté C6, il y a encore beaucoup de simmers qui utilisent 1.02 également ?


Je suis en en train de preparer une grosse campagne multi-joueurs pour cette version et je souhaite donc savoir si Ducros, il se décarcasse pas pour rien:king:


@+
Merci de poser ta question ailleur, afin de garder une lisibilité maximale de ce post, qui n'est là que pour répondre au problêmes de l'installation 1.02. De plus, tu auras plus de réponse dans la partie générale du forum.

Mercure
WSO Co-pilote
WSO Co-pilote
Messages : 869
Inscription : 08 septembre 2004

#11

Message par Mercure » dim. oct. 09, 2005 9:19 am

Salut, à mon avis les simmers de LockOn sont tous branchés sur la version 1.1, tu
pourras trouver quelques newbees sur la 1.02, je te laisse le soin de le faire.
En tout cas les escadrilles de l'annuaire LO. volent en 1.1. :yes:
Je te dirai aussi que j'attend Black Shark avec impatience. :Jumpy:
Image
________Réserviste depuis la chute du rideau de fer________

______.Core i7 940. 12 G DDR3. GTX295. Seven 64bits. Hyundaï 24"V2.______

admiral prune
Nouvelle Recrue
Nouvelle Recrue
Messages : 116
Inscription : 16 septembre 2001

#12

Message par admiral prune » lun. janv. 30, 2006 12:11 pm

Ben en fait j'ai acheté LOMAC il y a deux ans, comme je ne peux pas passer ma vie a consulter les forums il m' a fallu découvrir récemment le post d'oxy au sujet de la décompression du patch 1.01 1.02 (j'ai encore Me...) qui a posé des pb a tout ceux qui n'avaint pas XP...

c'est un petit reproche que je fais à C6, celui de vivre atour d'une communauté de passionnés compétents mais qui a parfois un peu de mal à se mettre au niveau des technonuls... dont je fais hélas partie...

j'ai vachement galéré avec F.4 et a force de ne rien piger et finalement de n'avoir pas de réponses à mes questions basiques j'ai laissé tomber. Je viens de voir qu'un patch de 530 meg "definitif" était sorti, (bravo!) alors je vais reprendre le manche...et me faire allumer du genre, "une livre de viande hachée reste une livre de viande hachée même bien emballée dans un F-16"... ah l'humour USAF!!!

merci de ne pas prendre ce post comme un post agressif c'est vraiment pas le propos, pour des jeux comme F.4 et LOMAC, jeux techniquement "difficiles" C6 reste la seule référence.

amitiés aéronautiques

A/P

sasai
Pilote Confirmé
Pilote Confirmé
Messages : 2248
Inscription : 05 décembre 2004

#13

Message par sasai » lun. janv. 30, 2006 12:27 pm

c'est un petit reproche que je fais à C6, celui de vivre atour d'une communauté de passionnés compétents mais qui a parfois un peu de mal à se mettre au niveau des technonuls... dont je fais hélas partie...
C6 n'a jamais vraiment fait de descrimination, XP est sur le marché depuis au moins 5ans, maintenant quasiement tout les PC en sont dotés :)

Ha ? je saais pas qu'il y avait des incompatibilités possibles pour les decompressions entre 98 et XP :sad:
AthlonXP 2600+barton, K7 Triton (Gygabite), 1024MO ddr3200 (Kingston), Nvidia FX6600GT 126MO (Asus) 81.87, XP prof., LOMAC 1.12a, X45 (Saitek), Pedal Pro-USB (CH)

admiral prune
Nouvelle Recrue
Nouvelle Recrue
Messages : 116
Inscription : 16 septembre 2001

#14

Message par admiral prune » lun. janv. 30, 2006 12:52 pm

le problème n'est pas celui de la discrimination!... et tout le monde n'a pas forcément envie de passer à XP... juste pour pouvoir jouer à lock-on - le jeu devrait fonctioner avec 98 et Me.

(merci aux blaireaux qui ont fait le patch!)

dans la rubrique "le saviez-vous ?";

pour lancer Lockon depuis le patch 1.02FR, il faut avec ma config:

-essayer une première fois (c'est l'apu... :tongue: )

-essayer une deuxième fois...

-faire ctr alt supp où l'on voit....

un "lockon" en minuscule et un "LOCKON" en majuscule...
arrêter le "lockon" en minuscule... et paf! la le LOCKON en majuscule démarre...

c'est pas de la belle ouvrage ça? :hum:

le tout sur une config clean 1.01 FRpas lancée... puis application du patch 1.02FR

:busted_re

Mhm...mhm
Pilote Confirmé
Pilote Confirmé
Messages : 2955
Inscription : 21 septembre 2004

#15

Message par Mhm...mhm » lun. janv. 30, 2006 12:54 pm

viens sur irc C6, j'ai la 1.02 sur mon DD, et y a une autre personne dispo aussi parfois
on pourra faire des dogs le soir.

sasai
Pilote Confirmé
Pilote Confirmé
Messages : 2248
Inscription : 05 décembre 2004

#16

Message par sasai » lun. janv. 30, 2006 12:55 pm

o_O et bin coton l'affaire ...
AthlonXP 2600+barton, K7 Triton (Gygabite), 1024MO ddr3200 (Kingston), Nvidia FX6600GT 126MO (Asus) 81.87, XP prof., LOMAC 1.12a, X45 (Saitek), Pedal Pro-USB (CH)

admiral prune
Nouvelle Recrue
Nouvelle Recrue
Messages : 116
Inscription : 16 septembre 2001

#17

Message par admiral prune » lun. janv. 30, 2006 1:10 pm

Oui Sasai, mais on a la satisfaction de résoudre des problèmes!

Mmh Mmh, mon ordi où j'ai la simu n'est pas connecté (pas encore) j'attends que M Free veuille bien me livrer la carte Wi-Fi a ajouter à la freebox...

J'ai pour l'instant un vieux portable avec une connection ethernet, un super minitel...
mais je garde l'idée... :cowboy:

j'ai pas trop envie, ni le temps, de passer aux évolutions de Lock-on pas plus d'ailleurs qu'a celles de F.4 donc je resterai sur 1.02.

mon adresse est admiral_prune [AT] yahoo [POINT] fr pour rester en contact!

sasai
Pilote Confirmé
Pilote Confirmé
Messages : 2248
Inscription : 05 décembre 2004

#18

Message par sasai » lun. janv. 30, 2006 1:13 pm

j'espere que l'installation de ton modem et wiffi se passera bien avec ton 98 :) XP c'est pas la mort tu sais je l'ai fait tourné sur mon K6-2 550MHZ sans problemes faut juste lui montrer que tu es le chef et qu'il n'y a que toi qui prend les decisions :yes:
AthlonXP 2600+barton, K7 Triton (Gygabite), 1024MO ddr3200 (Kingston), Nvidia FX6600GT 126MO (Asus) 81.87, XP prof., LOMAC 1.12a, X45 (Saitek), Pedal Pro-USB (CH)

admiral prune
Nouvelle Recrue
Nouvelle Recrue
Messages : 116
Inscription : 16 septembre 2001

#19

Message par admiral prune » lun. janv. 30, 2006 1:20 pm

j'ai une capacité de ram limitée à 512, c'est pour ça que je tenais pas trop à passer Sous XP, ma politique consiste à acheter des configs assez haut de gamme et à les faire durer avec un upgrade de la CG a mi-vie à peu près.

là ma babasse un PIII EB 1ghz en 133 avec une ati 9600XT est effectivement au bout
je passerai sur AMD avec Vista dès que le truc sera sorti et débuggé, probablement avec les dernières évolutions du chipset Nvidia.

admiral prune
Nouvelle Recrue
Nouvelle Recrue
Messages : 116
Inscription : 16 septembre 2001

#20

Message par admiral prune » lun. janv. 30, 2006 1:25 pm

un renseignement, j'ai trouvé des fix proposés par Alexandra (rayures de la canopée qui l'on peut virer sans ôter les reflets), faut-il utiliser LOMAN? j'ai jeté un coup d'oeil au read me mais il n'y a pas beaucoup d'infos, les jeter dans une dossier LOMAC? lequel?...

enfin tout ça quoi...

à vot'bon coeur! :innocent:

sasai
Pilote Confirmé
Pilote Confirmé
Messages : 2248
Inscription : 05 décembre 2004

#21

Message par sasai » lun. janv. 30, 2006 1:54 pm

si dans ton zip il y a un fichier nommé addon.lma et bien c'est qu'il doit etre installé avec loman :)

pfiou faire tourner lockon en 1Ghz ! o_O
AthlonXP 2600+barton, K7 Triton (Gygabite), 1024MO ddr3200 (Kingston), Nvidia FX6600GT 126MO (Asus) 81.87, XP prof., LOMAC 1.12a, X45 (Saitek), Pedal Pro-USB (CH)

admiral prune
Nouvelle Recrue
Nouvelle Recrue
Messages : 116
Inscription : 16 septembre 2001

#22

Message par admiral prune » lun. janv. 30, 2006 3:20 pm

oki doki! merci pour l'info!

PARADOX
Nouvelle Recrue
Nouvelle Recrue
Messages : 35
Inscription : 02 décembre 2001

#23

Message par PARADOX » sam. août 19, 2006 11:32 am

6- 98 % des tracks de la version 1.01 ne sont plus compatibles avec la version 1.02 et il n'y a pas de solution
Ca fait plusieurs jours que je lis le forum. Je n'ai tjs pas trouvé la signification de tracks.
J'ai installé LOMAC sans le lancer puis le patch 1.02FR comme expliqué sur le forum.

Et comme je l'avais lu sur le forum, les trainings sont moisis. 1 sur 2 est traduit en FR, le reste tjs en anglais...

J'imagine donc que Tracks = Training ?


Est-ce corrigé avec FC (que j'essaye d'acheter, mais prb sur leur site) et le patch 1.12 FR ?


Autrement, la seule soluce, c'est rester en 1.01, suivre les training puis patcher/installer Fc+ patch ?


Si cette dernière soluce, y'a une traduc FR pour rester en 1.01 ?



Merci :huh:
Simer depuis 1995 : (avant, sur Atari : Vroom I et II, Falcon :D )
- Nascar (1er du nom / Papyrus, sous DOS)
- Apache Longbow (Digital Integration, sous DOS)
- Eurofighter 2000 (DiD ? sous DOS)
... beaucoup d'autres ...
- LFS
- RFactor
- Lock-On

AMD Barton à 2.2 Ghz - 1 Go - 6600 GT AGP - Iiyama CRT 19" - CH Virtual Pilot Pro + CH Pedals - Microsoft Force Feedback Wheel

Loki42
Apprenti-Mécano
Apprenti-Mécano
Messages : 347
Inscription : 11 décembre 2003

#24

Message par Loki42 » sam. août 19, 2006 11:54 am

Paradox, les tracks, c'est les enregistrements fait en vol. Les séances d'entrainements sont sont fait sous formes de Tracks. Donc, les tracks sont des enregistrements de vols et tu peux en réaliser toi-même.
BAF one hour, BAF forever Image

PARADOX
Nouvelle Recrue
Nouvelle Recrue
Messages : 35
Inscription : 02 décembre 2001

#25

Message par PARADOX » sam. août 19, 2006 12:18 pm

Ok, merci ! :)

Comment suivre les entrainements alors ? Rester en 1.01 ou sont ils de nouveau utilisables en 1.12a Fr ?
Simer depuis 1995 : (avant, sur Atari : Vroom I et II, Falcon :D )
- Nascar (1er du nom / Papyrus, sous DOS)
- Apache Longbow (Digital Integration, sous DOS)
- Eurofighter 2000 (DiD ? sous DOS)
... beaucoup d'autres ...
- LFS
- RFactor
- Lock-On

AMD Barton à 2.2 Ghz - 1 Go - 6600 GT AGP - Iiyama CRT 19" - CH Virtual Pilot Pro + CH Pedals - Microsoft Force Feedback Wheel
Répondre

Revenir à « Support technique »